#include <iostream>

#include "vhf_modul_i.h"
#include "base_utils.h"
#include "corba_utils.h"
#include "iq.h"
#include "vhf.h"


// Implementation skeleton constructor
art_vhf_modul_i::art_vhf_modul_i (::sound::vhf::VHF &vhf):
  vhf_ (vhf)
{
}

// Implementation skeleton destructor
art_vhf_modul_i::~art_vhf_modul_i (void)
{
}

// Aktualizuje stav RX a TX buttonu
void art_vhf_modul_i::change_filter (
    ::CORBA::ULong rx_b,
    ::CORBA::ULong tx_b
  )
  ACE_THROW_SPEC ((
    CORBA::SystemException,
    ::art::RUNTIME
  ))
{
  vhf_.set_filter (rx_b, tx_b);
}

void art_vhf_modul_i::start_transmit (
  ::CORBA::ULong tx
)
ACE_THROW_SPEC ((
  CORBA::SystemException,
  ::art::RUNTIME
))
{
  debug_log ("start_transmit: tx = %x", tx);

  vhf_.set_tx (tx);
}

void art_vhf_modul_i::stop_transmit (
  )
  ACE_THROW_SPEC ((
    CORBA::SystemException,
    ::art::RUNTIME
  ))
{
  debug_log ("stop_transmit");

  vhf_.set_tx (0);
}

bool art_vhf_modul_i::check_connection (
  )
  ACE_THROW_SPEC ((
    CORBA::SystemException,
    ::art::RUNTIME
  ))
{
  return true;
  //return test_connection<art::vhf::handler_ptr> (handler);
}

